<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<eb:Messaging xmlns:eb="http://docs.oasis-open.org/ebxml-msg/ebms/v3.0/ns/core/200704/"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:S12="http://www.w3.org/2003/05/soap-envelope"
    xmlns:wsu="http://docs.oasis-open.org/wss/2004/01/oasis-200401-wss-wssecurity-utility-1.0.xsd"
    S12:mustUnderstand="true"
    wsu:Id="_148995f58ebb3087d1d3dccbd089db9f7922188240a56eaa657f1a8998a6c45be">

    <!-- The attributes S12:mustUnderstand and wsu:Id are optional. -->
    <!--Start of SR metadata-->
    <?SR_metadata <sr:Asset xmlns:sr="https://sr.oots.tech.ec.europa.eu/model/srdm#">
            <sr:identifier>https://sr.oots.tech.ec.europa.eu/examples/8ef02fe4-ea42-4a90-b229-e6cd7e698719</sr:identifier>
            <sr:title xml:lang="en">3.1 Step 1 First Evidence Request Header - Education</sr:title>
            <sr:type>EXAMPLE</sr:type>
            <sr:associatedTransaction>
                <sr:Transaction>
                    <sr:title xml:lang="en">EDM-REQ</sr:title>
                </sr:Transaction>
            </sr:associatedTransaction>
            <sr:conformsTo>
                <sr:identifier>https://sr.oots.tech.ec.europa.eu/schematrons/EDM-ebMS</sr:identifier>
            </sr:conformsTo>
            </sr:Asset>?>
    <!--End of SR metadata-->
    <eb:UserMessage>
        <eb:MessageInfo>
            <!--  The date at which the message header was created, must be dateTime (see [XMLSCHEMA]).  -->
            <eb:Timestamp>2023-09-24T09:07:36.000Z</eb:Timestamp>
            <!--  A globally unique identifier for the message. MUST be expressed according to RFC2822.  -->
            <eb:MessageId>db26ead7-61f3-4df0-beee-521cd83c9306@government.nl</eb:MessageId>
        </eb:MessageInfo>
        <eb:PartyInfo>
            <!--  The 'eb:PartyId/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list ‘EEA_Country-CodeList’. For testing purposes the code "oots" can be used.    -->
            <eb:From>
                <!--  The AS4 gateway (C2) that is sending the message on behalf of the Evidence Requester.     -->
                <eb:PartyId type="urn:oasis:names:tc:ebcore:partyid-type:unregistered:NL">GovernmentNLGateway01</eb:PartyId>
                <!--  Fixed Value   -->
                <eb:Role>http://sdg.europa.eu/edelivery/gateway</eb:Role>
            </eb:From>
            <eb:To>
                <!--  The AS4 gateway (C3) that is receiving the message on behalf of the Evidence Provider.   -->
                <eb:PartyId type="urn:cef.eu:names:identifier:EAS:0204">991-GatewayGermany-11</eb:PartyId>
                <!--  Fixed Value   -->
                <eb:Role>http://sdg.europa.eu/edelivery/gateway</eb:Role>
            </eb:To>
        </eb:PartyInfo>
        <eb:CollaborationInfo>
            <!-- Fixed Value that follows the rules of the ebXML Messaging Protocol Binding for RegRep Version 1.0 -->
            <eb:Service type="urn:oasis:names:tc:ebcore:ebrs:ebms:binding:1.0">QueryManager</eb:Service>
            <!--  Element identifying an operation. For the Evidence Request the value ExecuteQueryRequest is used.  -->
            <eb:Action>ExecuteQueryRequest</eb:Action>
            <!-- The unique ConversationId applies to all requests and their responses within a user session to link requests-response scenarios executed throughout a procedure. MUST be expressed as UUID. -->
            <eb:ConversationId>b11c2a3c-3be9-4aac-9a03-cf2c6d4e7bbe</eb:ConversationId>
        </eb:CollaborationInfo>
        <eb:MessageProperties>
            <!--  The value of the 'eb:Property/@type' MUST not extend 256 characters and it either, MUST use the prefix 'urn:cef.eu:names:identifier:EAS:[Code]' and a code being part of the code list 'EAS' (Electronic Address Scheme ) OR it MUST use the prefix 'urn:oasis:names:tc:ebcore:partyid-type:unregistered:[Code]' and a code being part of the code list ‘EEA_Country-CodeList’. For testing purposes the code "oots" can be used.   -->
            <!--  This element points to the Evidence Requester (C1) that is described in the Evidence Request. eb:Property/@name must be declared as 'originalSender'  -->
            <eb:Property name="originalSender" type="urn:cef.eu:names:identifier:EAS:0190">NL222332239</eb:Property>
            <!--  This element points to the Evidence Provider (C4) that is described in the Evidence Request. eb:Property/@name must be declared as 'finalRecipient'  -->
            <eb:Property name="finalRecipient" type="urn:cef.eu:names:identifier:EAS:0204">02-SchoolAuthority-34</eb:Property>
        </eb:MessageProperties>
        <eb:PayloadInfo>
            <!--  The href attribute of every PartInfo MUST have a value that is the [RFC2392] Content-ID (CID) URI of the payload object referenced. The payload object must be referenced with the same UUID as defined in the RegRep payload as rim:slot "SpecificationIdentifier". The value on the right side of the prefix 'cid:' and left from the symbol '@' MUST be a valid UUID. eb:PartInfo/@href MUST use the prefix 'cid:' and be expressed according to RFC2822.   -->
            <eb:PartInfo href="cid:4ffb5281-179d-4578-adf2-39fd13ccc797@government.nl">
                <!--  There MUST be one or two eb:Property of eb:PartProperties. There MUST be one eb:Property/@name  with the fixed value "MimeType".  -->
                <eb:PartProperties>
                    <!--  To declare the Evidence Request payload which is defined as ebXML RegRep document, the MIME must be  "application/x-ebrs+xml."  -->
                    <eb:Property name="MimeType">application/x-ebrs+xml</eb:Property>
                    <!--   The element declares the compression format of payload. If present, the value of the property MUST be application/gzip and MUST have a name attribute with the fixed value "CompressionType".  -->
                    <eb:Property name="CompressionType">application/gzip</eb:Property>
                </eb:PartProperties>
            </eb:PartInfo>
        </eb:PayloadInfo>
    </eb:UserMessage>
</eb:Messaging>
